.navbar {
  background-color: #ffffff;
  box-shadow: 0 9px 9px 0 rgba(0, 0, 0, 0.05);
}

.navbar-fixed-top {
  min-width: 350px;
  z-index: 9999;
}

.barTop {
  position: relative;

  display: flex;
  align-items: center;
  justify-content: space-between;

  height: 77px;
  margin: 0;
  padding: 0 0 1px 0;

  list-style-type: none;

  &::after {
    position: absolute;
    bottom: 0;
    left: -4949px;

    width: 9999px;
    height: 1px;

    content: "";

    background-color: #b8b8b8;
  }

  a {
    text-decoration: none;
  }

  &--logged-in {
    .bar-ord {
      display: block;
    }

    .bar-logo {
      height: auto;

      a {
        height: auto;
      }
    }
  }
}

.bar-logo {
  display: block;
  order: 1;

  height: 34px;
  margin-right: 18px;
  padding-left: 32px;

  background-image: url("/_green/img/new/logo.png");
  background-repeat: no-repeat;
  background-size: 25px 33px;

  a {
    font-size: 24px;
    line-height: 29px;

    display: block;

    height: 34px;

    color: #00b558;
  }
}
@media screen and (max-width: 767px) {
  .bar-logo a span {
    display: none; }
}

.bar-hiw,
.bar-garant {
  margin: 0 16px;

  a {
    font-size: 14px;

    color: #8b8b8b;
  }
}

.bar-hiw {
  order: 2;
}

.bar-garant {
  flex-grow: 1;
  order: 3;
}

.bar-mess {
  order: 4;
  height: 100%;
  margin-left: auto;

  a {
    font-size: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    width: 56px;
    border-left: 1px solid #e8e8e8;

    i {
      &::before {
        display: block;
        background-image: url("/_green/img/new/icon-messages.png");
        background-repeat: no-repeat;
        height: 18px;
        width: 18px;
      }
    }
  }
}

.bar-alert {
  order: 5;
  height: 100%;

  a {
    font-size: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    width: 56px;
    border-left: 1px solid #e8e8e8;

    i {
      &::before {
        display: block;
        background-image: url("/_green/img/new/icon-bell.png");
        background-repeat: no-repeat;
        height: 19px;
        width: 17px;
      }
    }
  }
}

.bar-orders {
  order: 6;
  height: calc(100% + 2px);
  margin-bottom: -1px;
  border: 1px solid #00b558;

  a {
    color: #000;
    display: block;
    width: 125px;
    text-align: center;
    font-size: 13px;
    line-height: 60px;

    &:hover {
      color: #000;
    }

    i {
      &::before {
        display: none;
      }
    }
  }
}

.bar-ord {
  display: none;
  order: 7;
  height: 34px;
  border: 1px solid #00b558;
  position: relative;
  bottom: -17px;
  left: -127px;
  margin-right: -125px;

  a {
    color: #000;
    display: block;
    width: 125px;
    text-align: center;
    font-size: 13px;
    line-height: 29px;

    &:hover {
      color: #000;
    }

    i {
      &::before {
        display: none;
      }
    }
  }

  & ~ .bar-orders {
    height: 35px;
    margin-bottom: 33px;

    a {
      line-height: 34px;
    }
  }
}

.bar-bills {
  order: 8;
  height: 100%;

  a {
    color: #000;
    height: 100%;
    min-width: 105px;
    border-right: 1px solid #e8e8e8;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0 10px 0 30px;

    &:hover {
      color: #000;
    }

    i {
      margin-right: 11px;
      margin-left: -16px;

      &::before {
        content: '';
        display: block;
        background-image: url("/_green/img/new/icon-rubl.png");
        background-repeat: no-repeat;
        height: 18px;
        width: 15px;
      }
    }
  }
}

.bar-settings {
  order: 9;
  height: 100%;

  a {
    font-size: 0;
    height: 100%;
    width: 56px;
    border-right: 1px solid #e8e8e8;
    display: flex;
    justify-content: center;
    align-items: center;

    i {
      &::before {
        display: block;
        background-image: url("/_green/img/new/icon-settings.png");
        background-repeat: no-repeat;
        height: 20px;
        width: 20px;
      }
    }
  }
}

.bar-logout {
  order: 10;
  height: 100%;

  a {
    font-size: 0;
    height: 100%;
    width: 56px;
    border-right: 1px solid #e8e8e8;
    display: flex;
    justify-content: center;
    align-items: center;

    i {
      &::before {
        display: block;
        background-image: url("/_green/img/new/icon-logout.png");
        background-repeat: no-repeat;
        height: 16px;
        width: 19px;
      }
    }
  }
}

.bar-login,
.bar-reg {
  a {
    font-size: 14px;

    letter-spacing: -0.02em;

    color: #00b558;
    text-transform: uppercase;

    i {
      display: none;
    }
  }
}

.bar-login {
  order: 5;
}

.bar-reg {
  position: relative;

  order: 4;

  a {
    &::before {
      position: absolute;
      top: 50%;
      left: -25px;

      width: 21px;
      height: 16px;

      content: "";
      transform: translateY(-50%);

      background-image: url("/_green/img/new/icon_reg.png");
      background-repeat: no-repeat;
    }

    &::after {
      display: inline-block;

      margin-right: 3px;
      margin-left: -1px;

      content: "|";
    }
  }
}

.navmenu .nav {
  display: flex;
  justify-content: space-between;

  height: 45px;
  padding-right: 87px;
  padding-left: 55px;

  &::before,
  &::after {
    display: none;
  }

  a {
    font-size: 14px;
    line-height: 44px;

    position: relative;

    display: inline-block;

    height: 45px;
    padding: 0 !important;

    text-decoration: none;
    text-transform: uppercase;

    color: #323232;

    &::before {
      position: absolute;
      z-index: 3;
      bottom: 6px;
      right: 0;
      left: 0;

      display: none;

      height: 4px;

      content: "";

      background-color: #00b558;
    }

    &:hover {
      background: none !important;

      &::before {
        display: block;
      }
    }
  }
}

@media screen and (max-width: 991px) {
  .bar-hiw {
    flex-grow: 1;
  }

  .bar-garant {
    display: none;
  }
}

@media screen and (max-width: 767px) {
  .barTop {
    z-index: 10;

    flex-wrap: wrap;

    height: auto;

    background-color: #ffffff;

    &::after {
      display: none;
    }

    &--logged-in {
      li {
        a {
          width: auto;
          padding: 0 10px;
          border: none;
        }
      }

      .bar-hiw {
        flex-grow: 0;
      }

      .bar-mess {
        order: 2
      }

      .bar-alert {
        order: 3
      }

      .bar-orders,
      .bar-ord {
        height: 42px;
        border: none;

        a {
          line-height: 38px;
          color: #00b558;
        }
      }

      .bar-orders {
        order: 4;
        margin: 0;
      }

      .bar-ord {
        order: 5;
        position: static;
        margin: 0 0 0 -1px;
      }

      .bar-bills {
        order: 6;
      }

      .bar-settings {
        order: 7;
      }

      .bar-logout {
        order: 8;
      }

      .bar-logo {
        order: 98;
      }
    }
  }

  .bar-logo {
    height: auto;
    padding: 15px 0 15px 48px;

    background-position: left 16px center;
  }

  .bar-hiw {
    position: relative;
    flex-grow: 1;
    order: 1;

    padding: 9.5px 0 9.5px;

    &::before {
      position: absolute;
      z-index: -1;
      top: 0;
      bottom: 0;
      left: -4545px;

      width: 9999px;

      content: "";

      background-color: #f7f7f7;
    }
  }

  .bar-login {
    order: 3;

    margin-right: 15px;
  }

  .bar-reg {
    order: 2;
  }

  .navbar-toggle {
    position: absolute;
    z-index: 11;
    top: 53px;
    right: 16px;

    width: 30px;
    height: 22px;
    padding: 0;

    border: none;
    border-radius: 0;
    background-image: url("/_green/img/new/hamburger.png");
    background-repeat: no-repeat;
  }

  .navmenu {
    position: absolute;
    z-index: 1;
    left: auto !important;

    display: block !important;

    width: calc(100% - 30px) !important;

    transition: transform 0.4s ease,
                opacity 0.4s ease;
    transform: translateY(-110%);
    opacity: 0;

    background-color: #ffffff;
    box-shadow: 0 9px 9px 0 rgba(0, 0, 0, 0.05);

    &::before,
    &::after {
      display: none;
    }

    .nav {
      align-items: center;
      flex-direction: column;

      width: 100%;
      height: auto;
    }

    &.visible {
      transform: translateY(0);
      opacity: 1;
    }
  }
}

@media screen and (max-width: 680px) {
  .bar-logout {
    display: none;
  }
}

@media screen and (max-width: 640px) {
  .bar-settings {
    display: none;
  }
}

@media screen and (max-width: 495px) {
  .barTop--logged-in {
    .bar-ord {
      display: none;
    }
  }
}

@media screen and (max-width: 600px) {
  .bar-bills {
    display: none;
  }
}

@media screen and (max-width: 179px) {
  .bar-hiw {
    width: 100%;
    margin: 0;
  }

  .bar-login,
  .bar-reg {
    display: none;
  }

  .bar-logo {
    width: auto;
    margin: 0 auto;
    padding-right: 24px;
  }

  .navbar-toggle {
    top: 2px;

    margin-right: 0;
  }
}
